%define module_ver 1.2.0

Name: pango
Version: 1.2.1
Release: alt1

# build static libraries or not
%def_without static

# build Qt sample or not
%def_without viewer

Summary: System for layout and rendering of internationalized text
License: LGPL
Group: System/Internationalization
Url: http://www.pango.org/

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://www.pango.org/download/%name-%version.tar.bz2

%define glib_ver 2.2.1
%define gtk_doc_ver 0.10
%define pkgconfig_ver 0.15
%define freetype2_ver 2.1.2
%define qt_ver_major 2
%define xft_ver 2.0-alt5
%define fontconfig_ver 2.0-alt8

%if_with viewer
%if "%qt_ver_major" == "2"
%define libqt_ver 2.3.1-alt12
BuildPreReq: libqt%qt_ver_major-devel >= %libqt_ver
%endif
%endif

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver
BuildPreReq: pkgconfig >= %pkgconfig_ver
BuildPreReq: libXft-devel >= %xft_ver
BuildPreReq: fontconfig-devel >= %fontconfig_ver

# Automatically added by buildreq on Mon Feb 03 2003
BuildRequires: XFree86-devel XFree86-libs docbook-dtds docbook-style-xsl docbook-utils fontconfig-devel freetype2-devel gcc-c++ glib2-devel glibc-devel-static gtk-doc libXft-devel libexpat libxslt pkgconfig xml-common xsltproc

%description
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n lib%name
Summary: System for layout and rendering of internationalized text
Group: System/Internationalization
Provides: pango = %version
Obsoletes: pango
Obsoletes: gscript
Requires: glib2 >= %glib_ver
Requires: libXft >= %xft_ver

%description -n lib%name
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n lib%name-devel
Summary: Development libraries and header files for pango
Group: Development/C
Provides: pango-devel = %version
Obsoletes: pango-devel
Requires: lib%name = %version-%release
Requires: glib2-devel >= %glib_ver
Requires: libXft-devel >= %xft_ver
Requires: fontconfig-devel >= %fontconfig_ver

%if_without static
Obsoletes: lib%name-devel-static
%endif

%description -n lib%name-devel
The pango-devel package includes the libraries and header files
for the pango package.

%package -n lib%name-devel-static
Summary: Static libraries for pango
Group: Development/C

%description -n lib%name-devel-static
The pango-devel package includes the static libraries for the pango package.

%package -n %name-viewer
Summary: QT Example of pango
Group: System/Internationalization
Requires: lib%name = %version-%release

%description -n %name-viewer
Little example of pango library usage.

%define qtdir %_libdir/qt%qt_ver_major

%prep
%setup -q -n %name-%version

%build
%configure \
%if_with viewer
	--with-qt=%qtdir \
%else
	--without-qt \
%endif
%if_with static
	--enable-static \
%endif
	--enable-gtk-doc \
	--localstatedir=%_var

%make_build

%install
%makeinstall

%post -n lib%name
%post_ldconfig
%_bindir/pango-querymodules >/etc/pango/pango.modules
%__chmod 644 /etc/pango/pango.modules

%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_bindir/%name-querymodules
%dir %_libdir/%name
%dir %_libdir/%name/%module_ver
%dir %_libdir/%name/%module_ver/modules
%_libdir/*.so.*
%_libdir/%name/%module_ver/*/*.so
%dir %_sysconfdir/pango
%config %_sysconfdir/%name/pangox.aliases
%ghost %_sysconfdir/%name/pango.modules
%doc README AUTHORS ChangeLog TODO examples/HELLO.utf8

%files -n lib%name-devel
%_includedir/*
%_libdir/*.la
%_libdir/*.so
%_libdir/%name/%module_ver/*/*.la
%_libdir/pkgconfig/*
%doc %_datadir/gtk-doc/html/*

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/%name/%module_ver/*/*.a
%endif

%if_with viewer
%files -n %name-viewer
%_bindir/%name-viewer
%endif

%changelog
* Mon Feb 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Sat Dec 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.6-alt1
- 1.1.6

* Wed Dec 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.5-alt1
- 1.1.5

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt1
- 1.1.1
- Building static libraries disabled to prevent dependencies on
  Xft version 1.

* Fri Sep 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.4-alt2
- Removed wrong dependencies (#1287).

* Mon Sep 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.4-alt1
- 1.0.4
- (inger) made qt-viewer building optional (use --with viewer to build it)
- (inger) update buildreqs

* Tue Jun 24 2002 Igor Androsov <blake@altlinux.ru> 1.0.3-alt2
- Removed "fixed-ltmains.sh"
	+ SMP-compatible build
	+ other small fixes and cleanups.
- Rename source package (libpango -> pango)	
- rebuild with new freetype2

* Fri Jun 14 2002 Igor Androsov <blake@altlinux.ru> 1.0.3-alt1
- New release

* Sun Jun 02 2002 Igor Androsov <blake@altlinux.ru> 1.0.2-alt3
- Fixed lost gtk-doc documentation

* Wed May 29 2002 Igor Androsov <blake@altlinux.ru> 1.0.2-alt2
- Return removed in 1.0.1-alt2 "fixed-ltmains.sh" - fixed no building package if host wheare building not have libpango.

* Tue May 28 2002 Igor Androsov <blake@altlinux.ru> 1.0.2-alt1
- New release

* Wed May 22 2002 Igor Androsov <blake@altlinux.ru> 1.0.1-alt2
- Fix gtk-doc dir

* Sun Mar 31 2002 AEN <aen@logic.ru> 1.0.1-alt1
- new version

* Wed Mar 27 2002 AEN <aen@logic.ru> 1.0.0-alt1
- release

* Thu Jan 10 2002 Stanislav Ievlev <inger@altlinux.ru> 0.23.90-alt2
- fix bug #0000091

* Wed Jan 09 2002 AEN <aen@logic.ru> 0.23.90-alt1
- new version

* Wed Oct 17 2001 AEN <aen@logic.ru> 0.20-alt1
- new version

* Tue Sep 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.18-alt2
- Corrected requires.

* Fri Sep 21 2001 Stanislav Ievlev <inger@altlinux.ru> 0.18-alt1
- 0.18

* Mon Aug 13 2001 AEN <aen@logic.ru> 0.17-alt2
- freetype2 patch

* Mon Jun 18 2001 AEN <aen@logic.ru> 0.17-alt1
- new version
- revised reauires

* Thu May 31 2001 Stanislav Ievlev <inger@altlinux.ru> 0.16-alt1
- 0.16

* Fri Apr 20 2001 Stanislav Ievlev <inger@altlinux.ru> 0.15-alt1
- Up to 0.15

* Fri Mar 30 2001 Stanislav Ievlev <inger@altlinux.ru> 0.13-alt1
- Spec bugfix, librification and upgrade to 0.13

* Tue Jan 16 2001 AEN <aen@logic.ru>
- RE adaptations

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9-3mdk
- automatically added BuildRequires

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 0.9-2mdk
- fix % post (was writing to %/var/lib/pango instead of /var/lib/pango)

* Sat Apr 08 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.9-1mdk
- updated to 0.9
- corrected conflicts in %files section
- added orphaned directories & files

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.8-1mdk
- Initial Mandrake Release
- spec-helper
- fixed groups

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file

